import Layout from "../components/base/layout";
import Form from "../components/top-level/form";
import Tasks from "../components/top-level/tasks";
import { useAppContext } from "../app-context/index";

import { useEffect } from "react";
export default function Pages() {
  const { todos, isLoading, addTodo, getTodos, deleteTodo, updateTodo } =
    useAppContext();

  useEffect(() => {
    getTodos();
  }, []);
  const count = todos?.filter((e) => !e.isCompleted).length;
  return (
    <>
      {isLoading ? (
        <Layout count={count}>
          {todos?.length > 0 ? (
            <Tasks tasks={todos} onChange={updateTodo} onDelete={deleteTodo} />
          ) : (
            <h3>No task</h3>
          )}
          <Form onSubmit={addTodo} />
        </Layout>
      ) : (
        "Loading...."
      )}
    </>
  );
}
